
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何启用 Apache 的 PHP-FPM 多实例 / iVAN</title>

    <meta name="description" content="如何启用 Apache 的 PHP-FPM 多实例 PHP-FPM 作为 FastCGI 进程管理器而广为熟知,它是 PHP FastCGI 实现的改进,带有更为有用的功能,用于处理高负载的服务器和网站.下面列出其中一些功能: 新功能 拥有具有优雅(graceful)启动/停止选项的高级进程管理能力. 可以通过不同的用户身份/组身份来以监听多个端口以及使用多个PHP配置. 错误日志记录. 支持上传加速. 特别用于在处理一些耗时任务时结束请求和清空所有数据的功能. 同时支持动态和静态的子进程重生. 支持IP地址限制. 在本文中,我将要讨论的是,在运">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何启用 Apache 的 PHP-FPM 多实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>PHP-FPM 作为 FastCGI 进程管理器而广为熟知，它是 PHP FastCGI 实现的改进，带有更为有用的功能，用于处理高负载的服务器和网站。下面列出其中一些功能：</p>
<h3>新功能</h3>
<ul>
<li>拥有具有优雅（graceful）启动/停止选项的高级进程管理能力。</li>
<li>可以通过不同的用户身份/组身份来以监听多个端口以及使用多个PHP配置。</li>
<li>错误日志记录。</li>
<li>支持上传加速。</li>
<li>特别用于在处理一些耗时任务时结束请求和清空所有数据的功能。</li>
<li>同时支持动态和静态的子进程重生。</li>
<li>支持IP地址限制。</li>
</ul>
<p>在本文中，我将要讨论的是，在运行 CPanel 11.52 及 EA3 （EasyApache）的 CentOS 7 服务器上，于 Nginx 和 Apache 之上安装 PHP-FPM，以及如何来通过 CPanel 管理这些安装好的多个 PHP-FPM 实例。</p>
<p>在我们开始安装前， 先看看安装的先决条件。</p>
<h3>先决条件</h3>
<ol>
<li>启用 Modproxyfcgi 模块</li>
<li>启用 MPM_Event</li>
</ol>
<p>由于我们要将 PHP-FPM 安装到一台 EA3 服务器，我们需要运行 EasyApache 来编译 Apache 以启用这些模块。</p>
<p>你们可以参考我以前写的，关于如何在 Apache 服务器上安装 Nginx 作为反向代理的文档来了解 Nginx 的安装。</p>
<p>这里，我将再次简述那些安装步骤。具体细节，你可以参考我之前写的（如何在 CentOS 7/CPanel 服务器上配置 Nginx 反向代理）一文。</p>
<ul>
<li>步骤 1：安装 Epel 仓库</li>
<li>步骤 2：安装 nDeploy RPM 仓库，这是此次安装中最为重要的步骤。</li>
<li>步骤 3：使用 yum 从 nDeploy 仓库安装 nDeploy 和 Nginx 插件。</li>
<li>步骤 4：启用/配置 Nginx 为反向代理。</li>
</ul>
<p>完成这些步骤后，下面为服务器中所有可用 PHP 版本安装 PHP-FPM 包，EA3 使用 remi 仓库来安装这些包。你可以运行这个 nDeploy 脚本来下载所有的包。</p>
<pre>
</pre>
<ol>
<li><code>root@server1 [~]# /opt/nDeploy/scripts/easy_php_setup.sh</code></li>
<li><code>Loaded plugins: fastestmirror, tsflags, universal-hooks</code></li>
<li><code>EA4 | 2.9 kB 00:00:00</code></li>
<li><code>base | 3.6 kB 00:00:00</code></li>
<li><code>epel/x86_64/metalink | 9.7 kB 00:00:00</code></li>
<li><code>epel | 4.3 kB 00:00:00</code></li>
<li><code>extras | 3.4 kB 00:00:00</code></li>
<li><code>updates | 3.4 kB 00:00:00</code></li>
<li><code>(1/2): epel/x86_64/updateinfo | 460 kB 00:00:00</code></li>
<li><code>(2/2): epel/x86_64/primary_db</code></li>
</ol>
<p>运行该脚本将为 PHP 54，PHP 55，PHP 56 和 PHP 70 安装所有这些 FPM 包。</p>
<pre>
</pre>
<ol>
<li><code>Installed Packages</code></li>
<li><code>php54-php-fpm.x86_64 5.4.45-3.el7.remi @remi</code></li>
<li><code>php55-php-fpm.x86_64 5.5.31-1.el7.remi @remi</code></li>
<li><code>php56-php-fpm.x86_64 5.6.17-1.el7.remi @remi</code></li>
<li><code>php70-php-fpm.x86_64 7.0.2-1.el7.remi @remi</code></li>
</ol>
<p>在以上安装完成后，你需要为 Apache 启用 PHP-FPM SAPI。你可以运行下面这个脚本来启用 PHP-FPM 实例。</p>
<pre>
</pre>
<ol>
<li><code>root@server1 [~]# /opt/nDeploy/scripts/apache_php-fpm_setup.sh enable</code></li>
<li><code>mod_proxy_fcgi.c</code></li>
<li><code>Please choose one default PHP version from the list below</code></li>
<li><code>PHP70</code></li>
<li><code>PHP56</code></li>
<li><code>PHP54</code></li>
<li><code>PHP55</code></li>
<li><code>Provide the exact desired version string here and press ENTER: PHP54</code></li>
<li><code>ConfGen:: lxblogger</code></li>
<li><code>ConfGen:: blogr</code></li>
<li><code>ConfGen:: saheetha</code></li>
<li><code>ConfGen:: satest</code></li>
<li><code>which: no cagefsctl in (/usr/local/jdk/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/root/bin)</code></li>
<li><code>info [rebuildhttpdconf] Missing owner for domain server1.centos7-test.com, force lookup to root</code></li>
<li><code>Built /usr/local/apache/conf/httpd.conf OK</code></li>
<li><code>Waiting for “httpd” to restart gracefully …waiting for “httpd” to initialize ……</code></li>
<li><code>…finished.</code></li>
</ol>
<p>它会问你需要运行哪个 PHP 版本作为服务器默认版本，你可以输入那些细节内容，然后继续配置并为现存的域名生成虚拟主机文件。</p>
<p>我选择了 PHP 54 作为我服务器上的默认 PHP-FPM 版本。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNjA2LzA4LzA4NTc1MHo2YnJlemh4MnhkMjhwMmIucG5n.jpg"></p>
<p><em>confirm-php-fpm</em></p>
<p>虽然服务器配置了 PHP-FPM 54，但是我们可以通过 CPanel 为各个独立的域名修改 PHP-FPM 实例。</p>
<p>下面我将通过一些截图来为你们说明一下，怎样通过 CPanel 为各个独立域修改 PHP-FPM 实例。</p>
<p>安装了 Nginx 插件后，你的域名的 CPanel 就会有一个 Nginx Webstack 图标，你可以点击该图标来配置你的 Web 服务器。我已经登录进了我其中的一个 CPanel 来配置相应的 Web 服务器。</p>
<p>请看这些截图。</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNjA2LzA4LzA4NTc1MHlyZGRkempjMzg4dTk2NHAucG5n.jpg"></p>
<p><em>nginxicon1</em></p>
<p>现在，你可以根据需要为选中的主域配置 web 服务器（这里，我已经选择了主域 saheetha.com）。我已经继续通过自动化配置选项来进行了，因为我不需要添加任何手动设置。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNjA2LzA4LzA4NTc1MXFnZ3EyZXBlZzU4NDhwZ2gucG5n.jpg"></p>
<p><em>nginx_auto_proxy</em></p>
<p>当 Nginx 配置完后，你可以在这里为你的域名选择 PHP-FPM 实例。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNjA2LzA4LzA4NTc1Mnkxb2gzb21id2M5YmFiZGwucG5n.jpg"></p>
<p><em>php-fpm1</em></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNjA2LzA4LzA4NTc1M3Zycm45bm5iOTJ5OGk2eHgucG5n.jpg"></p>
<p><em>php54</em></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNjA2LzA4LzA4NTc1M29lNmw1ZnZmYTZrcXJmNm0ucG5n.jpg"></p>
<p><em>php55</em></p>
<p>就像你在截图中所看到的，我服务器上的默认 PHP-FPM 是PHP 54，而我正要将我的域名的 PHP-FPM 实例单独修改成 PHP 55。当你为你的域修改 PHP-FPM 后，你可以通过访问 phpinfo 页面来确认。</p>
<p>原文发布时间为：2016-06-08</p>
<p>本文来自合作伙伴“Linux中国”</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 06:32:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/apache/" title="apache">apache</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e5%9f%9f%e5%90%8d/" title="域名">域名</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/nginx/" title="nginx">nginx</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何启用 Apache 的 PHP-FPM 多实例的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEgE3p.html" rel="bookmark">Apache 服务器Log分析应用实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				apache|服务器|应用实例 Apache 服务器Log分析应用实例 rhinux 发表于: 2004-11-28 22:11 互联网的飞速发展,无论是传统企业的网站,还是互联网企业,为了了解自己的客户来源,点击率等资料,对网站日志的分析尤为重要,以下就本人所做的日志分析系统与大家分享,希望能对大家有所帮助. 欢迎大家复制,但请大家保留本文的完整,谢谢!! 一,所用软件及工具 1,Apache服务器 官方网址:http://www.apache.org 2,awstats 日志分析软件 官方网			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRXJNkz.html" rel="bookmark">apache 伪静态页面简单应用实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				apache 伪静态页面简单应用实例 我们在apache里面做  伪静态需要apache的mod_rewrite 模块,处理方法在apache配置文件里面RewriteEngine on #rewriteengine为重写引擎开关on为开启off为关闭. 建立.htaccess 文件 (1)用记事本 打开,点击文件–另存为,在文件名窗口输入&quot;.htaccess&quot;,注意是整个绿色部分,也就是包含英文引号,然后点击保存就行了. (2)进入cmd命令 窗口,通过cd切换当刚建立htacces			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balBw2z.html" rel="bookmark">LAMP部署之APACHE&plus;MYSQL&plus;PHP的应用实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目环境: 西安凌云高科技有限公司安装了Linux服务器,并且已经成功的部署了Apache服务器,(因此我们在本次的项目中我们不需要安装Apache服务器)为了搭建公司的论坛系统,需要安装phpBB论坛系统.PhpBB是典型的LAMP架构的应用程序因此我们需要在现有Apache服务器的基础上搭建完整的LAMP运行环境. 项目目标: 安装MySQL服务器,作为PHPBB论坛程序的后台SQL数据库服务器使用: 编译并安装PHP程序运行环境,为phpBB程序提供运行环境: 配置Apache服务器程序支			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxlWDmM.html" rel="bookmark">让apache&sol;nginx支持shtml页面实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Nginx 自带了 SSI. 在 Nginx 开启 SSI ,加入以下3行就OK了,可以放在 http, server, 和 location 段都行.  代码如下 复制代码 ssi on; ssi_silent_errors on; ssi_types text/shtml; 使用方法举例:  代码如下 复制代码 Nginx + SSI &lt;!--# include file=&quot;/tmp/test.html&quot; --&gt; 注意路径的问题,不是硬盘的绝对路径,而是站点的绝对路径.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mydonkb.html" rel="bookmark">win7系统配置php&plus;Apache&plus;mysql环境的方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				B/S架构当下很流行,因为B/S架构有众多优点,例如:用户只需有浏览器就可使用,维护升级都比较方便,跨平台,等等.本文就讲讲Windows+Apache+PHP+Mysql的开发环境如何配置. 如何在win7系统下配置php环境呢,php+Apache+mysql都是在配置过程中必不可少的元素,php负责解析php代码,apache负责服务器端而mysql是数据交互的中转站. 那么如何将php+apache+mysql配置好呢,接下来我们看一下具体的方法,软件版本会改变所以需要自己因时制宜,随机			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7e6aM.html" rel="bookmark">在Apache服务器上启用GZip压缩静态内容的方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了优化网站的访问速度,我们可以通过对静态内容进行压缩,从而减少网页加载的时间,大大节省用户的带宽.在这篇文章中,我将介绍如何使用Apache和.htaccess文件进行静态内容压缩. 首先让我介绍一下,我们可以使用两种不同的方法压缩内容:GZip 和 deflate. 介绍 GZip方法在早期的apache版本中使用(在Apache 1.3之前).但在那之后apache引入了deflate方法,相比GZip并没有太大的效果(但仍是非常好的).然而,GZip在apache 1.3之后不再提供更多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40nJ8z.html" rel="bookmark">apache启用mod&lowbar;deflate的GZIP压缩网页传输方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				gzip原本是文件压缩格式,扩展名为.gz,HTTP协议用它来改进WEB应用程序性能,加快HTTP请求返回内容的下载速度,增加用户体验,降低网络带宽占用 apache内置有mod_deflate模块来启用gzip功能,但假如安装apache的时候没有编译相关模块,就需要你手动安装一次,以启用它: 首先到你的apache源码目录,查找到mod_deflate.c文件 Mac及Linux下都可用locate mod_deflate.c 通常位置:apachehttpd源码目录/modules/fil			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7a6Yb.html" rel="bookmark">WordPress中使主题支持小工具以及添加插件启用函数&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				让主题支持小工具WordPress 的小工具(widget)是一大特色,它让用户自由拖动组合内容,而且任何插件和主题都可以添加一个额外的小工具,增加扩展性. 默认情况下,一个主题并不会支持小工具,需要主题开发者启用小工具功能并把小工具在相应的前台位置调用出来,这样用户才能在后台直接拖动生成侧边栏. 本文就来教你如何激活小工具功能,并且添加一个侧边栏,最后在前台显示出来. 注册侧边栏 默认的,后台外观下是没有 &quot;小工具&quot; 这个菜单按钮的,如果想要让他出现,就至少需要注册一个侧边栏,否则即			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGmXV6M.html" rel="bookmark">PHP-FPM之Chroot执行环境详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在PHP-FPM中设立chroot,有很好的隔离作用,提高系统安全性,但是要想建立一个合理的PHP-FPM Chroot环境难度有点大,比用debootstrap等工具建立还要麻烦,下面通过参考相关资料,把PHP-FPM之Chroot执行环境整理出来,分享给大家. 本文以Ubuntu 14.04.2为例,php-fpm使用的是 ppa:ondrej/php5-5.6 提供的PHP5.6版本,跟系统自带以及Debian系统的php-fpm和系统目录结构应该是一致的.CentOS请自行调整. php			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7Xddb.html" rel="bookmark" class="title">用&amp;amp&semi;&num;106avascript脚本将当地时间转换成其它时区</a>
					<div>
						脚本|转换 毫无疑问,用JavaScript脚本可以通过直接查看用户的时钟,方便地在网页上显示本地时间.但是,如果你想显示不同地区的时间---例如,如果你的本部在别的国家,你想查看&quot;本国&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYQoxM.html" rel="bookmark" class="title">网站规划心得：小领域，大市场</a>
					<div>
						开始读到这六个字的时候并没有太深的体会,直到自己的网站放到空间上有了排名以后才真正体会到这句话说的真是很有道理. 开始的时候我的网站做的比较杂,涉及的范围也比较广,开始的想法就是把网站做杂一点先把人气 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyagkM.html" rel="bookmark" class="title">使用索引的误区之一：没有使用复合索引的前导列导致查询不使用索引</a>
					<div>
						索引 使用索引的误区之一:没有使用复合索引的前导列导致查询不使用索引在oracle中,我们经常以为建立了索引,sql查询的时候就会如我们所希望的那样使用索引,事实上,oracle只会在一定条件下使用索 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balL3gz.html" rel="bookmark" class="title">UVa 10008 What&amp;&num;039&semi;s Cryptanalysis&quest; &lpar;water ver&period;&rpar;</a>
					<div>
						10008 - What's Cryptanalysis? Time limit: 3.000 seconds http://uva.onlinejudge.org/index.php?option= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4rRjp.html" rel="bookmark" class="title">Rails安全导读【四】</a>
					<div>
						5. 企业内联专用网和管理安全 - 企业内联网和管理界面是最流行的攻击目标, 因为它们有特殊的访问权限. 虽然它会有一些额外的安全措施,可是现实里并非如此. 2007年,在线招聘站点Monster.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW13qez.html" rel="bookmark" class="title">保护好你的Word文档</a>
					<div>
						文档的安全级别 对Word文档最大的安全隐患就是宏病毒,为了防止宏病毒Word设立了安全级别的概念.您可在&quot;工具→选项→&quot;安全性&quot;选项卡→宏安全性&quot;的&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOeykb.html" rel="bookmark" class="title">PS手绘打造飘逸发丝</a>
					<div>
						教程向三联的朋友介绍如何利用PS手绘打造飘逸发丝,教程难度为初级,主要是教想要学习鼠绘的朋友们的基础教程.   下面是具体的制作步骤: 1.首先在开始之前,让我们甜蜜地思念两分钟我们心中的女孩,以及先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24aXZp.html" rel="bookmark" class="title">VMware vSphere client 中英文语言界面设置</a>
					<div>
						  安装的时候可以选择简体中文,然后安装后,对vsphere client的执行程序制作快捷方式 以win7 x64环境默认路径为例 英文启动如下: &quot;C:Program Files (x8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24X83p.html" rel="bookmark" class="title">iOS中 动态热修补技术JSPatch 韩俊强的博客</a>
					<div>
						iOS开发者交流群:446310206   所谓动态热修补就是把能够导致app 崩溃的严重bug,提交新版本到appstore 审核速度太慢影响用户使用,这时候就可以利用 JSPatch 可以让你用  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxovqQb.html" rel="bookmark" class="title">自动、静态、 寄存器、易失变量的区别 &period;</a>
					<div>
						(一)自动变量    什么是自动变量呢?自动变量就是指在函数内部定义使用的变量.他只是允许在定义他的函数内部使用它.在函数外的其他任何地方都不能使用的变量.自动变量是局部变量,即它的区域性是在定义他的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoQNGb.html" rel="bookmark" class="title">跨平台的WebRTC客户端框架：OpenWebRTC</a>
					<div>
						Webrtc的ios框架编译 http://www.th7.cn/Program/IOS/201502/390418.shtml     WebRTC in WebKit : http://www.w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW28gGb.html" rel="bookmark" class="title">《ELK Stack权威指南 》第1章　入门示例</a>
					<div>
						入 门 示 例 什么是Logstash?为什么要用Logstash?怎么用Logstash?这是本章将要介绍的内容.本章从最基础的知识着手,从以下几步介绍Logstash的必备知识.1)下载安装.介绍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlO1mb.html" rel="bookmark" class="title">手势识别之轻点</a>
					<div>
						#import &quot;ViewController.h&quot; @interface ViewController () @property(nonatomic,strong)UIImage ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rjdap.html" rel="bookmark" class="title">关于html内嵌样式表的问题</a>
					<div>
						问题描述 关于html内嵌样式表的问题 &lt;html&gt; &lt;head&gt; &lt;title&gt;这是标题&lt;/title&gt; &lt;link rel=&quot;sty ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRA9db.html" rel="bookmark" class="title">锐道与东华大学建立暑期实践合作关系</a>
					<div>
						6月27日上午,锐道与东华大学暑期时间合作启动仪式在陆家嘴软件园举行.东华大学黄教授带领暑期实践学生参加了启动仪式. 为了使学生能够顺利的完成从学生到社会人的转型,将所学知识学以致用.东华大学要求在校 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeqwrb.html" rel="bookmark" class="title">visual studio 2013安装失败</a>
					<div>
						问题描述 visual studio 2013安装失败 补充: log中有: [1470:274C][2015-04-07T10:53:44]i000: MUX: ExecuteError: Pack ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94DKob.html" rel="bookmark" class="title">如何用企业邮箱统一管理业务邮件</a>
					<div>
						问题描述 对于一个正轨企业来讲,企业邮箱是必备的工具,不仅能提高公司的形象,还能方便统一管理企业内部的信件.我们公司之前一直在使用免费的个人邮箱,我们的每一个业务员都在用自己的邮箱,他们的邮箱有163 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7l55M.html" rel="bookmark" class="title">如何设置DatagramSocket&period;receive&lpar;&rpar;超时，解除阻塞，并不抛出exception</a>
					<div>
						问题描述 正常情况下DatagramSocket.receive()是阻塞到收到包为止,我想设置一个timeout时间,比如一秒,超过一秒就解除阻塞,继续执行下面的语句.不要跟我说setSoTimeo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZV8qp.html" rel="bookmark" class="title">物联网，能否真正连接生活？</a>
					<div>
						制图刘昕东 &quot;查不出&quot;信息的物联网之惑 自由与平等关系的两面性 博鳌论坛:革新.责任.合作 亚洲寻求共同发展 李向平:信仰是经济和文化健康发展的基石					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg2G9M.html" rel="bookmark" class="title">【COCOS2DX隐藏IOS7状态栏】通过添加PLIST KEY隐藏IOS7状态栏</a>
					<div>
						本站文章均为 李华明Himi 原创,转载务必在明显处注明:  转载自[黑米GameDev街区] 原文链接: http://www.himigame.com/%e9%9a%8f%e7%ac%94/148 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkGKlM.html" rel="bookmark" class="title">刘浩简介</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 深港产学研创业投资有限公司高级投资经理,毕业于北京1781 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZqDvp.html" rel="bookmark" class="title">甲骨文宣布推出Oracle企业管理器12c的增强工具和程序</a>
					<div>
						甲骨文全球大会,2012 年 10 月3日-甲骨文公司宣布推出Oracle企业管理器12c(Oracle Enterprise Manager 12c)的增强工具和程序,支持不断发展的合作伙伴生态系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnZ1NM.html" rel="bookmark" class="title">《数据分析实战 基于EXCEL和SPSS系列工具的实践》一1&period;3　数据分析的几大抓手</a>
					<div>
						1.3 数据分析的几大抓手 时不时地有培训学员来问我一个问题:&quot;我怎么样才能把数据分析做好?&quot;要回答这个问题还真是不容易,就像业余围棋爱好者问&quot;我怎么样才能快速提高自己的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QO1qp.html" rel="bookmark" class="title">php使用curl判断网页404&lpar;不存在&rpar;的方法&lbrack;原创&rsqb;&lowbar;php技巧</a>
					<div>
						本文实例讲述了php使用curl判断网页404(不存在)的方法.分享给大家供大家参考,具体如下: &lt;?php /* php使用curl判断404 * Created on 2016-6-22 * ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44Jy1z.html" rel="bookmark" class="title">PHP日期时间函数的高级应用技巧&lowbar;php技巧</a>
					<div>
						checkdate($month,$date,$year) 如果应用的值构成一个有效日期,则该函数返回为真.例如,对于错误日期2005年2月31日,此函数返回为假. 在日期用于计算或保存在数据库中之前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q6lBp.html" rel="bookmark" class="title">javascript使用switch case实现动态改变超级链接文字及地址&lowbar;javascript技巧</a>
					<div>
						代码很简单,我这里就不多废话了,小伙伴们直接看源码吧. 复制代码 代码如下: &lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.01 Transiti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GJAgp.html" rel="bookmark" class="title">Node&period;js DES加密的简单实现&lowbar;node&period;js</a>
					<div>
						常见的加密算法基本分为这几类,1 :线性散列算法.2:对称性加密算法.3.非对称性加密算法 (记记记) 线性散列算法(签名算法):MD5,SHA1,HMAC 比如MD5:即Message-Digest ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWmNkz.html" rel="bookmark" class="title">Laravel中使用自己编写类库的3种方法&lowbar;php实例</a>
					<div>
						虽然Composer使得我们可以重用很多现有的类库(例如packagist.org中的),但是我们仍然可能用到一些不兼容composer的包或者类库.另外在某一项目中,我们也可能会创建某一类库,而且可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlvr1p.html" rel="bookmark" class="title">Javascript中查找不以XX字符结尾的单词示例代码&lowbar;javascript技巧</a>
					<div>
						首先,让我声明一下,我在写这篇文章之前花了2个多小时在弄正则表达式.悲~悲~悲~ 按照一般的思路,先来看看其他几个插找方式: 我以字符串 复制代码 代码如下: var str = &quot;eatt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW9kZp.html" rel="bookmark" class="title">打车小秘杨芸：打车软件前景不会因政策出台而终结</a>
					<div>
						7月3日,&lt;北京市出租汽车手机电召服务管理http://www.aliyun.com/zixun/aggregation/18205.html&quot;&gt;实施细则&gt;(以下简称&qu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
